package lel.flummi.skilloverlay.api;

import java.io.InputStreamReader;
import java.net.URL;
import java.util.HashMap;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import lel.flummi.skilloverlay.api.records.Skills;
import lel.flummi.skilloverlay.api.records.Skills.Skill;
import lel.flummi.skilloverlay.config.skilloverlayconfig;

public class PlayerSkills {
	public static HashMap<String, Skill> SKILLS;
	private static String apikey;

	public static void init() {
		apikey = skilloverlayconfig.get().general.apiKey;

		PlayerSkills.updateSkills();
	}

	public static void updateSkills() {
		String apiurl = "https://api.hypixel.net/resources/skyblock/skills?key=" + apikey;
		if (apiurl.length() == 0)
			return;

		try {
			URL url = new URL(apiurl);
			InputStreamReader reader = new InputStreamReader(url.openStream());
			Gson gson = new GsonBuilder()
					.serializeNulls()
					.create();
			Skills skills = gson.fromJson(reader, Skills.class);
			if (skills != null) {
				SKILLS = skills.skills();
			} else {
				System.out.println("leer uff");
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return;
	}
}
